Skip to content

Kota

Mendapatkan daftar Kota.


Method Endpoint
GET https://api.digiflazz.com/v1/hotel/content/city

Query Parameter

Sign additional value: hotel.content

Parameter Deskripsi Type Required/Optional
country Kode Negara string Required
page Halaman paginasi int optional

Contoh

https://api.digiflazz.com/v1/hotel/content/city?username=YOUR_USERNAME&sign=96e1028f6beaa817ee3670a39c01c69d&code=skuhotel&country=ID&page=1

Response

Data

Array of City

Attribute Deskripsi Type Note
id ID Kota string
name Nama Kota string
province_name Nama Provinsi string
keywords Kata kunci Kota []string
latitude Latitude Kota string
longitude Longitude Kota string

Meta Data

Attribute Deskripsi Type Note
current_page Halaman saat ini int
last_page Halaman terakhir int
per_page Data yang tampil tiap halaman int
total Jumlah data int

Contoh

{
  "message": "Sukses",
  "rc": "00",
  "buyer": {
    "code": "skuhotel"
  },
  "seller": {
    "tele": "@usernametelegram",
    "wa": "081234567890"
  },
  "data": [
    {
      "id": "1eLDm",
      "name": "Banda Aceh",
      "province_name": "Aceh",
      "keywords": [
        "Banda Aceh",
        "Aceh",
        "Sumatra"
      ],
      "latitude": "5.55444000",
      "longitude": "95.32278000"
    },
    {
      "id": "1AB7x",
      "name": "Jakarta",
      "province_name": "DKI Jakarta",
      "keywords": [
        "Jakarta",
        "DKI Jakarta"
      ],
      "latitude": "-6.21462000",
      "longitude": "106.84513000"
    },
    {
      "id": "xlYYQ",
      "name": "Bali",
      "province_name": "Bali",
      "keywords": [
        "Bali"
      ],
      "latitude": "-8.34054000",
      "longitude": "115.09203000"
    }
  ],
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 20,
    "total": 3
  }
}

Test Case

country
US
ID

Contoh

https://api.digiflazz.com/v1/hotel/content/city?is_testing=true&username=YOUR_USERNAME&sign=96e1028f6beaa817ee3670a39c01c69d&code=skuhotel&country=ID&page=1